Bug 16662 - Letsencrypt II: Return of the cryptosaurus. (make it work for existing instances)
Summary: Letsencrypt II: Return of the cryptosaurus. (make it work for existing instan...
Status: RESOLVED WONTFIX
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Bugs List
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-04 08:52 UTC by Mirko Tietgen
Modified: 2018-10-12 08:07 UTC (History)
9 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-06-04 08:52:59 UTC

    
Comment 1 Marcel de Rooy 2017-10-26 11:10:02 UTC
Running apt-get purge koha-common, reinstall etc.
Trying koha-create (on stable 17.05.05) with --letsencrypt gave me things like:

The letsencrypt package is not installed. Do it now?  [y/N] y
/usr/sbin/koha-create: line 343: lsb_release: command not found
/usr/sbin/koha-create: line 344: [: =: unary operator expected
Reading package lists... Done
Building dependency tree
Reading state information... Done
Package letsencrypt is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'letsencrypt' has no installation candidate

apt-get install -y -t jessie-backports letsencrypt
E: The value 'jessie-backports' is invalid for APT::Default-Release as such a release is not available in the sources
Comment 2 Magnus Enger 2017-10-26 11:16:20 UTC
Marcel: Which OS are you testing that on? I have used --letsencrypt successfully with koha-create several times lately, on Debian 8.9.
Comment 3 Marcel de Rooy 2017-10-26 11:57:44 UTC
(In reply to Magnus Enger from comment #2)
> Marcel: Which OS are you testing that on? I have used --letsencrypt
> successfully with koha-create several times lately, on Debian 8.9.

Jessie
Comment 4 Dobrica Pavlinusic 2018-01-31 17:20:28 UTC
You are missing jessie-backports in sources.list like:

deb http://ftp.debian.org/debian jessie-backports main
Comment 5 M. Tompsett 2018-02-01 04:08:48 UTC
vagrant up jessie
- log in to kohadevbox
cd kohaclone
echo deb http://ftp.debian.org/debian jessie-backports main | sudo tee /etc/apt/sources.list.d/jessie-backports.list
sudo apt-get update
sudo koha-create --create-db --letsencrypt test_encrypt
-- nasty traceback error.

Anyone understand the messages?

sudo koha-remove test_encrypt
-- this does put it back to pre-koha-create state.
Comment 6 M. Tompsett 2018-02-01 06:10:59 UTC
vagrant up jessie
- log in to kohadevbox
cd kohaclone
echo deb http://ftp.debian.org/debian jessie-backports main | sudo tee /etc/apt/sources.list.d/jessie-backports.list
sudo apt-get update
sudo python -m easy_install --upgrade pyOpenSSL
sudo koha-create --create-db --letsencrypt test_encrypt

This got me further. only test_encrypt.mydnsname.org doesn't exist, so it ultimately failed.
Comment 7 Dobrica Pavlinusic 2018-02-01 09:59:56 UTC
Probably stupid question, but did you installed letsencrypt package with

apt-get install -t jessie-backports letsencrypt
Comment 8 M. Tompsett 2018-02-01 19:24:53 UTC
(In reply to Dobrica Pavlinusic from comment #7)
> Probably stupid question, but did you installed letsencrypt package with
> 
> apt-get install -t jessie-backports letsencrypt

That's part of the koha-create script. ;)
Comment 9 Mirko Tietgen 2018-02-22 06:43:56 UTC
I am not currently working on this, I have removed myself as the assignee. I suppose nobody else is going to take over, should I set it to resolved->wontfix?

The comments seem to have turned into a support question for the feature that is already implemented?